Bug 1924100 - Make selinux-policy up-to-date with the latest kernel
Summary: Make selinux-policy up-to-date with the latest kernel
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-02-02 15:50 UTC by Ben Cotton
Modified: 2021-02-16 17:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-02-02 15:50:04 UTC
This is a tracking bug for Change: Make selinux-policy up-to-date with the latest kernel
For more details, see: https://fedoraproject.org/wiki/Changes/Make_selinux_policy_uptodate_with_current_kernel

Add new permissions, classes, and capabilities to the selinux policy so that system recognizes them, can boot without an error message, and use them in the actual policy for confined services.

Comment 1 Ondrej Mosnacek 2021-02-02 19:19:53 UTC
Reassigning to Zdenek, as he is the main person working on this change.

Comment 2 Ben Cotton 2021-02-09 14:58:48 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 3 Zdenek Pytela 2021-02-09 15:27:03 UTC
The change is testable.

Comment 4 Ben Cotton 2021-02-16 15:51:54 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.